package types

import "database/sql"

// GlBalance is a first class object type
type GlBalance struct {
	ID               string
	AccountName      string
	Amount           float64
	CloseDate        sql.NullTime
	CreatedByID      string
	CreatedDate      sql.NullTime
	Credits          float64
	Debits           float64
	Description      string
	GlAccountID      string
	GlAccountDisplay string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	PeriodID         string
	Ref              string
	RollupCredits    float64
	RollupDebits     float64
	Status           string
	TenantID         string
}
