package types

import (
	"database/sql"
)

// Job is a first class object type
type Job struct {
	ID                 string
	AccountID          string
	BackendID          string
	CompanyID          string
	CoordinateID       string
	CreatedByID        string
	CreatedDate        sql.NullTime
	Duration           string
	EndDate            sql.NullTime
	ErrorReason        string
	Interval           string
	JobDate            sql.NullTime
	LastModifiedByID   string
	LastModifiedDate   sql.NullTime
	Month              int64
	NextJobID          string
	ObjectType         string
	OwnerID            string
	Parameters         string
	PeriodID           string
	Quarter            int64
	RatingEngineID     string
	Ref                string
	Reschedule         bool
	RescheduleInterval int64
	SagaID             string
	SagaType           string
	Semiannual         int64
	Source             string
	StartDate          sql.NullTime
	Status             string
	Target             string
	TenantID           string
	Type               string
	Year               int64
}
