package types

// TaxnexusCode is a first class object type
type TaxnexusCode struct {
	ID                    string `json:"id,omitempty"`
	Active                bool   `json:"active,omitempty"`
	Code                  string `json:"code,omitempty"`
	CreatedByID           string `json:"created_by_id,omitempty"`
	CreatedDate           string `json:"created_date,omitempty"`
	Description           string `json:"description,omitempty"`
	DomainID              string `json:"domain_id,omitempty"`
	DomainName            string `json:"domain_name,omitempty"`
	LastModifiedByID      string `json:"last_modified_by_id,omitempty"`
	LastModifiedDate      string `json:"last_modified_date,omitempty"`
	Level                 string `json:"level,omitempty"`
	OwnerID               string `json:"owner_id,omitempty"`
	Part1                 string `json:"part_1,omitempty"`
	Part2                 string `json:"part_2,omitempty"`
	Part3                 string `json:"part_3,omitempty"`
	Part4                 string `json:"part_4,omitempty"`
	Part5                 string `json:"part_5,omitempty"`
	PurchasingRulesetID   string `json:"purchasing_ruleset_id,omitempty"`
	PurchasingRulesetCode string `json:"purchasing_ruleset_code,omitempty"`
	Ref                   string `json:"ref,omitempty"`
	RevenueRulesetID      string `json:"revenue_ruleset_id,omitempty"`
	RevenueRulesetCode    string `json:"revenue_ruleset_code,omitempty"`
}
