package types

import "database/sql"

// AccountingRuleset is exported
type AccountingRuleset struct {
	ID               string
	Items            []*AccountingRulesetItem
	AccountID        string
	Code             string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Description      string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	ParentFK         string
	RuleCount        int64
	TenantID         string
}
