package types

import "database/sql"

// Company is a DB struct
type Company struct {
	ID                  string
	AccountID           string
	AccountNumberPrefix string
	AdvancePeriodID     string
	BillingAddress      Address
	BillingAdvice       string
	BillingContactID    string
	BillingEmail        string
	BillingPhone        string
	BillingWebsite      string
	CoaTemplateID       string
	ColorAccent1        string
	ColorAccent2        string
	ColorPrimary        string
	ClosedPeriodID      string
	CreatedByID         string
	CreatedDate         sql.NullTime
	CurrentPeriodID     string
	CurrentPeriodStatus string
	CustomerSuccessID   string
	DateClosed          sql.NullTime
	DefaultAddress      Address
	DefaultCompany      bool
	FontBody            string
	FontHeading         string
	FontHeadingNarrow   string
	FontLink            string
	FontMono            string
	International       bool
	LastAccountNumber   int64
	LastModifiedByID    string
	LastModifiedDate    sql.NullTime
	LastTaxtypeNumber   int64
	Logo                string
	Name                string
	OwnerID             string
	PreparerID          string
	PricebookID         string
	TenantID            string
	UserTechLeadID      string
}
