package types

import "database/sql"

// Database is a first-class object type
type Database struct {
	ID               string
	Active           bool
	ClusterID        string
	CreatedByID      string
	CreatedDate      sql.NullTime
	DatabaseName     string
	DSN              string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	Microservices    string
	Status           string
	TenantID         string
	Type             string
}
