package types

import "database/sql"

// Notebook is a first class object type
type Notebook struct {
	ID               string
	AccountID        string
	ContactID        string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Date             sql.NullTime
	DateEnd          sql.NullTime
	DateStart        sql.NullTime
	Description      string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	PeriodEndID      string
	PeriodStartID    string
	PreparerID       string
	Title            string
	Items            []*NotebookItem
	TenantID         string
}
