package types

import "database/sql"

// Service is a first class object type
type Service struct {
	ID               string
	Active           bool
	ClusterID        string
	ClusterIP        string
	ClusterURL       string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Environment      string
	ExternalURL      string
	GELFAddress      string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	NetworkAlias     string
	OpenAPIVersion   string
	OwnerID          string
	PortExternal     string
	PortTest         string
	ProxyType        string
	Replicas         int64
	RepoURL          string
	ServiceName      string
	TenantID         string
	Version          string
}
